Skip to main content

July 15, 2026

· 5 min read

GET /payment_methods

  • the results/items/oneOf[subschema #1: CreditCardRead -> subschema #2: CreditCardRead]/expiration_month response's property type changed from integer to string for status 200 (media type: application/json)
  • the results/items/oneOf[subschema #1: CreditCardRead -> subschema #2: CreditCardRead]/expiration_year response's property type changed from integer to string for status 200 (media type: application/json)
  • added the required property results/items/oneOf[subschema #1: CreditCardRead -> subschema #2: CreditCardRead]/label to the response with the 200 status (media type: application/json)
  • added the required property results/items/oneOf[subschema #2: BankAccountRead -> subschema #5: BankAccountRead]/label to the response with the 200 status (media type: application/json)
  • added the required property results/items/oneOf[subschema #3: PaypalRead -> subschema #1: PaypalRead]/label to the response with the 200 status (media type: application/json)
  • added the required property results/items/oneOf[subschema #4: MandateRead -> subschema #3: MandateRead]/label to the response with the 200 status (media type: application/json)
  • added the required property results/items/oneOf[subschema #5: OfflinePaymentRead -> subschema #6: OfflinePaymentRead]/label to the response with the 200 status (media type: application/json)
  • added the required property results/items/oneOf[subschema #6: PayFastRead -> subschema #4: PayFastRead]/label to the response with the 200 status (media type: application/json)
  • the response required property results/items/oneOf[subschema #1: CreditCardRead -> subschema #2: CreditCardRead]/expiration_month became read-only for the status 200 (media type: application/json)
  • the response required property results/items/oneOf[subschema #1: CreditCardRead -> subschema #2: CreditCardRead]/expiration_year became read-only for the status 200 (media type: application/json)
View updated docs

GET /reports/customers.grouped/data

  • deleted the query request parameter extra_customer_fields
  • added the new optional query request parameter last_broadcast_at_gte
  • added the new optional query request parameter last_broadcast_at_lte
  • added the new optional query request parameter segment
View updated docs

POST /reports/customers.grouped/export

  • removed the request property extra_customer_fields (media type: application/json)
  • added the new optional request property last_broadcast_at_gte (media type: application/json)
  • added the new optional request property last_broadcast_at_lte (media type: application/json)
  • added the new optional request property segment (media type: application/json)
View updated docs

GET /reports/customers/data

  • deleted the query request parameter extra_customer_fields
  • added the new optional query request parameter last_broadcast_at_gte
  • added the new optional query request parameter last_broadcast_at_lte
  • added the new optional query request parameter segment
  • added the enum value last_broadcast_at to the property items/ of the query request parameter columns
  • added the optional property rows/items/last_broadcast_at to the response with the 200 status
View updated docs

POST /reports/customers/export

  • removed the request property extra_customer_fields (media type: application/json)
  • added the new optional request property last_broadcast_at_gte (media type: application/json)
  • added the new optional request property last_broadcast_at_lte (media type: application/json)
  • added the new optional request property segment (media type: application/json)
  • added the new last_broadcast_at enum value to the request property columns/items/ (media type: application/json)
View updated docs

PATCH /payment_methods/{id}

  • endpoint added
View updated docs

GET /providers/{id}/entitlements

  • added the new optional query request parameter expand
  • added the new optional query request parameter fields
View updated docs